Package fr.gouv.vitam.common.exception

# Class CycleFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.common.exception.CycleFoundException

All Implemented Interfaces:
  `Serializable`

public class CycleFoundException extends VitamException
Exception used in DFS when a cycle is found

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CycleFoundException(String message)`
  Basic constructor to indicate a simple error message without stacktrace
  `CycleFoundException(String message, String cycle, String eventDetailData)`
  Basic constructor to indicate a simple error message without stacktrace
  `CycleFoundException(String message, Throwable throwable)`
  Constructor used to encapsulate a previously thrown exception with but with a custom meaningful message
  `CycleFoundException(Throwable throwable)`
  Constructor used to encapsulate a previously thrown exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCycle()`
  Get the cycle's list of vertex
  `String`
  `getEventDetailData()`
  Get the eventDetailData

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CycleFoundException

    public CycleFoundException(String message)
    Basic constructor to indicate a simple error message without stacktrace
    Parameters:
      `message` - message to log

  - ### CycleFoundException

    public CycleFoundException(String message, String cycle, String eventDetailData)
    Basic constructor to indicate a simple error message without stacktrace
    Parameters:
      `message` - message to log
      `cycle` - detail of the cycle
      `eventDetailData` - eventDetailData of the exception

  - ### CycleFoundException

    public CycleFoundException(Throwable throwable)
    Constructor used to encapsulate a previously thrown exception. A generic message is used.
    Parameters:
      `throwable` - the originating exception

  - ### CycleFoundException

    public CycleFoundException(String message, Throwable throwable)
    Constructor used to encapsulate a previously thrown exception with but with a custom meaningful message
    Parameters:
      `message` - the message to log throw threw
      `throwable` - the originating exception

- ## Method Details

  - ### getCycle

    public String getCycle()
    Get the cycle's list of vertex
    Returns:
      the cycle's list of vertex

  - ### getEventDetailData

    public String getEventDetailData()
    Get the eventDetailData
    Returns:
      eventDetailData